package hikapro.com.backpack.presenter.adapters;

import android.support.v7.widget.RecyclerView;
import android.view.ViewGroup;

import hikapro.com.backpack.presenter.Presenter;
import hikapro.com.backpack.view.recycler.DetailViewHolder;

/**
 * Created by tariel on 23/04/16.
 */
public class ItemDetailAdapter extends RecyclerView.Adapter<DetailViewHolder> {

    private Presenter.ItemDetail presenter;
    private int itemId;

    public ItemDetailAdapter(Presenter.ItemDetail presenter) {
        this.presenter = presenter;
    }

    @Override
    public int getItemCount() {
        return presenter.getItemsCount();
    }

    @Override
    public void onBindViewHolder(DetailViewHolder holder, int position) {
        presenter.bindViewHolder(holder, position);

    }

    @Override
    public DetailViewHolder onCreateViewHolder(ViewGroup parent, int viewType) {
        return presenter.createViewHolder(parent, viewType);
    }

    public void setItemId(int id) {
        this.itemId = id;
    }
}
